# Gnome::GdaUI::ProviderSelector Class Reference

ProviderSelector - Select a database provider from a combo box. More...

Inherits Gnome::GdaUI::Combo.

Collaboration diagram for Gnome::GdaUI::ProviderSelector:
[legend]

List of all members.

## Public Member Functions

virtual | ~ProviderSelector ()
GdauiProviderSelector* | gobj ()
| Provides access to the underlying C GtkObject.
const GdauiProviderSelector* | gobj () const
| Provides access to the underlying C GtkObject.
| ProviderSelector ()
| Create a new Gdaui::ProviderSelector widget.
Glib::RefPtr < Gnome::Gda::ServerProvider > | get_provider_obj ()
| Get the selected provider as a Gda::ServerProvider object.
Glib::RefPtr< const Gnome::Gda::ServerProvider > | get_provider_obj () const
| Get the selected provider as a Gda::ServerProvider object.
Glib::ustring | get_provider () const
| Get the selected provider.
bool | set_provider (const Glib::ustring& provider)
| Forces selector to be set on provider.

## Related Functions

(Note that these are not member functions.)
Gnome::GdaUI::ProviderSelector* | wrap (GdauiProviderSelector* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

ProviderSelector - Select a database provider from a combo box.

## Constructor & Destructor Documentation

virtual Gnome::GdaUI::ProviderSelector::~ProviderSelector | ( |  | ) | `[virtual]`

Gnome::GdaUI::ProviderSelector::ProviderSelector | ( |  | ) | `[explicit]`

Create a new Gdaui::ProviderSelector widget.

Returns:
  The newly created widget.

## Member Function Documentation

Glib::ustring Gnome::GdaUI::ProviderSelector::get_provider | ( |  | ) | const

Get the selected provider.

Returns:
  The selected provider, or `0` if no provider is selected

Since libgda-uimm 4.2:

Glib::RefPtr<const Gnome::Gda::ServerProvider> Gnome::GdaUI::ProviderSelector::get_provider_obj | ( |  | ) | const

Get the selected provider as a Gda::ServerProvider object.

Returns:
  A new Gda::ServerProvider or `0` if an error occurred

Since libgda-uimm 4.2:

Glib::RefPtr<Gnome::Gda::ServerProvider> Gnome::GdaUI::ProviderSelector::get_provider_obj | ( |  | ) |

Get the selected provider as a Gda::ServerProvider object.

Returns:
  A new Gda::ServerProvider or `0` if an error occurred

Since libgda-uimm 4.2:

const GdauiProviderSelector* Gnome::GdaUI::ProviderSelector::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gnome::GdaUI::Combo.

GdauiProviderSelector* Gnome::GdaUI::ProviderSelector::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gnome::GdaUI::Combo.

bool Gnome::GdaUI::ProviderSelector::set_provider | ( | const Glib::ustring & | provider | ) |

Forces selector to be set on provider.

Parameters:

  | provider | The provider to be selected, or `0` for the default (SQLite).

Returns:
  `true` if provider has been selected

Since libgda-uimm 4.2:

## Friends And Related Function Documentation

Gnome::GdaUI::ProviderSelector* wrap | ( | GdauiProviderSelector * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- libgda-uimm/providerselector.h